ConvertBase64 File Reference
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include <osgDB/Export>`

Go to the source code of this file.

## Classes

struct | osgDB::base64_encodestate
struct | osgDB::base64_decodestate
class | osgDB::Base64encoder
class | osgDB::Base64decoder

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_CONVERTBASE64_H 1

## Enumerations

enum | osgDB::base64_decodestep { osgDB::step_a , osgDB::step_b , osgDB::step_c , osgDB::step_d }
enum | osgDB::base64_encodestep { osgDB::step_A , osgDB::step_B , osgDB::step_C }

## Functions

void | osgDB::base64_init_encodestate (base64_encodestate *state_in)
void | osgDB::base64_init_decodestate (base64_decodestate *state_in)

## Variables

const int | osgDB::BUFFERSIZE = 8192

## Macro Definition Documentation

## OSGDB_CONVERTBASE64_H

#define OSGDB_CONVERTBASE64_H 1